Loading...
Searching...
No Matches
min_cost_arborescence.h File Reference
Algorithms » Minimum Spanning Tree Algorithms
`#include <vector>`
`#include <lemon/list_graph.h>`
`#include <lemon/bin_heap.h>`
`#include <lemon/assert.h>`

## Classes

struct | MinCostArborescenceDefaultTraits< GR, CM >
| Default traits class for MinCostArborescence class. More...
class | MinCostArborescence< GR, CM, TR >
| Minimum Cost Arborescence algorithm class. More...
struct | MinCostArborescence< GR, CM, TR >::SetArborescenceMap< T >
| Named parameter for setting `ArborescenceMap` type More...
struct | MinCostArborescence< GR, CM, TR >::SetPredMap< T >
| Named parameter for setting `PredMap` type More...
class | MinCostArborescence< GR, CM, TR >::DualIt
| LEMON iterator for getting a dual variable. More...

## Namespaces

namespace | lemon
| The namespace of LEMON.

## Functions

template<typename Digraph, typename CostMap, typename ArborescenceMap>
CostMap::Value | minCostArborescence (const Digraph &digraph, const CostMap &cost, typename Digraph::Node source, ArborescenceMap &arborescence)
| Function type interface for MinCostArborescence algorithm.